Commit bacda093 authored by Benoit Lavenier's avatar Benoit Lavenier

[enh] Add changelog for 1.6.8. Fix doc for node v12

parent 3fe0b473
Pipeline #9500 failed
# Version v1.6.8
## All platforms
- [enh] Build: upgrade to cordova@10.0.0, and node.js v12. Refactor Cordova hook to use main gulpfile.js
- [fix] Map: optimize loading time (remove the search layer)
## Web extension
- [enh] Handle G1 link, like 'web+june://' - See [this post](https://forum.duniter.org/t/g1link-syntax-review-choisissons-la-syntaxe-g1lien/7522)
## Android
- [enh] Handle G1 link, like 'june://' - See [this post](https://forum.duniter.org/t/g1link-syntax-review-choisissons-la-syntaxe-g1lien/7522)
## Desktop
- [fix] Fix startup error on Ubuntu 20+ - [#921](https://git.duniter.org/clients/cesium-grp/cesium/-/issues/921)
\ No newline at end of file
......@@ -3,7 +3,7 @@
## In a post-it
```bash
nvm use 10
nvm use 12
git clone git@git.duniter.org:clients/cesium-grp/cesium.git
cd cesium
yarn
......@@ -22,7 +22,7 @@ To build Cesium, you will have to:
sudo apt-get install git wget curl unzip build-essential software-properties-common ruby ruby-dev ruby-ffi gcc make
```
2. Installing node.js v10 :
2. Installing node.js v12 :
* First, install [nvm](https://github.com/nvm-sh/nvm) (Node Version Manager) :
```bash
......@@ -35,7 +35,7 @@ To build Cesium, you will have to:
* Configure nvm to use the expected version: (**WARNING**: upper version will NOT work !)
```bash
nvm install 10
nvm install 12
```
3. Installing node build tools, as global dependencies:
......@@ -65,9 +65,9 @@ To build Cesium, you will have to:
This should create new directories `platforms/android` and `platforms/ios`.
> As a reminder: check that your command line is configured correctly:
> As a reminder: check that your command line is well configured:
> - You must place yourself in the directory of the application: `cd cesium`
> - and working with NodeJs **v10**: `nvm use 10` (please check using the command `node --version`)
> - and working with NodeJs **v12**: `nvm use 12` (please check using the command `node --version`)
### Prepare configuration file
......
......@@ -119,7 +119,7 @@ node --version
Si vous n'êtes pas sur une v6, utilisez la commande
```
nvm use 10
nvm use 12
```
Vous pouvez maintenant lancer l'instalaltion du projet Cesium pour Android :
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment